[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] PATCH: Enable migration with QEMU >= 0.10.0



On Fri, May 15, 2009 at 10:40:55AM +0200, Daniel Veillard wrote:
> On Thu, May 14, 2009 at 09:28:04PM +0200, Gerrit Slomma wrote:
> >
> > So could this patch for the now be applied?
> >
> > --- a/src/qemu_conf.c 2009-04-20 11:08:15.000000000 +0200
> > +++ b/src/qemu_conf.c 2009-05-13 22:28:31.000000000 +0200
> > @@ -370,7 +370,7 @@
> > uname (&utsname);
> >
> > if ((caps = virCapabilitiesNew(utsname.machine,
> > - 0, 0)) == NULL)
> > + 1, 1)) == NULL)
> > goto no_memory;
> >
> > /* Using KVM's mac prefix for QEMU too */
> >
> > would look up for the URI formats too if i have some time to spare.
> 
>   Hum, shouldn't we check for the version of QEmu being used first ?
> If you sit on #virt it's very frequent to see people with code base
> more than one year old, and we can't really expect everybody to upgrade
> every 6 months. Or did I miss something ?

This is really reflecting the host driver capabilities as a whole, rather
than whether it will succeed for a particular VM. The libvirt driver
supports migrate, but certain QEMU binaries may not, in which case the
app would get an appropriate error message later when invoking the API.
You can have multiple QEMU binaries with different capabilies on the
same host, so we can't accurately represent that here.

Regards,
Daniel
-- 
|: Red Hat, Engineering, London   -o-   http://people.redhat.com/berrange/ :|
|: http://libvirt.org  -o-  http://virt-manager.org  -o-  http://ovirt.org :|
|: http://autobuild.org       -o-         http://search.cpan.org/~danberr/ :|
|: GnuPG: 7D3B9505  -o-  F3C9 553F A1DA 4AC2 5648 23C1 B3DF F742 7D3B 9505 :|


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]